/***************************************************************************
                          Kwin4Player  
                          -------------------
    begin                : August 2001
    copyright            : (C) 1995-2007 by Martin Heni
    email                : kde@heni-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KWIN4PLAYER_H
#define KWIN4PLAYER_H

#include <kplayer.h>
#include <kconfiggroup.h>

#include "score.h"

class Kwin4Player : public KPlayer
{
  Q_OBJECT

  signals:
	  
  public:
    Kwin4Player();
    int rtti() const {return 1;}
    void setStatus(Score *s) {mStatus=s;}
    Score* status(){return mStatus;}
    void readConfig(KConfigGroup& config);
    void writeConfig(KConfigGroup& config);
    void incWin();
    void incRemis();
    void incLost();
    void incBrk();
    int win() {return mAllWin.value();}
    int lost() {return mAllLost.value();}
    int brk() {return mAllBrk.value();}
    int remis() {return mAllRemis.value();}
    void resetStats(bool all=true);

   protected slots:
    void slotPlayerPropertyChanged(KGamePropertyBase *prop,KPlayer *player);

   private:
    // One session
    KGamePropertyInt mWin;
    KGamePropertyInt mRemis;
    KGamePropertyInt mLost;
    KGamePropertyInt mBrk;

    // all time
    KGamePropertyInt mAllWin;
    KGamePropertyInt mAllRemis;
    KGamePropertyInt mAllLost;
    KGamePropertyInt mAllBrk;

    Score *mStatus;
};

#endif // KWIN4PLAYER_H

